As I'm troubleshooting sync of contacts and calendar to a Nokia C6 device, I find this error in the "default.pipeline1.mobility-AppInterface.log":

2011-12-01 13:43:11.722 ERROR [CP WSGIServer Thread-18] [DeviceInterface:595] [userID:cn=xxx,o=xxxxx] [eventID:] [objectID:] [Server] Connector XML is not up-to-date!

I've just upgraded server with update 579 and the patch file 1 and that process seemed to have worked. But I don't like the above error message.

What is missing and how can I fix this?